#!/usr/bin/bash
#########################################################################################################
# iDoctor 
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2014 All Rights Reserved.
#########################################################################################################
# This script will search for NMON data files (identified by *.nmon) and if any are found, create a symbolic link 
#  in the /tmp/idoctor/nmon directory to it using a command like.
#        ln -s /tmp/nmon/nmonfile.nmon nmonfile.nmon
#
BASEDIR=$(dirname $0)	# This will get the directory this script resides in
searchdir=$1

mkdir -p $BASEDIR/repository/nmon
cd $BASEDIR/repository/nmon
rm *

find $searchdir -name "*.nmon" | while read nmonfile
do
	out=`basename $nmonfile`
	echo "$nmonfile $out"
	ln -fs $nmonfile $out
done