#!/usr/bin/bash
#########################################################################################################
# iDoctor 
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2014 All Rights Reserved.
#########################################################################################################
# start nmon into the specified filename (parm 1)
#

path=$(dirname $0) # get the directory the script resides in
filename=$path"/"$1 # Create the file name.

cd $path # Change to the iDoctor temp directory.

echo "running nmon into file $filename" # Output what is going to happen.

/usr/bin/nmon -F $1 -s 0 -c 0 -p > $HOME/pid.txt
pid=$(cat $HOME/pid.txt)  
echo "Nmon is starting in PID "$pid

sh ./Linuxwaitforpid.sh $pid # Wait for nmon to complete.

echo "nmon finished, now sorting the results and exiting..." # Report progress.
sort $filename > /dev/null # Sort the output.

echo "Linuxbuilcfgsummary.sh completed successfully" # Report success.