#!/usr/bin/sh
#########################################################################################################
# iDoctor VIOS Investigator
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2013 All Rights Reserved.
#########################################################################################################
# This script will search for VIOS Advisor generated tar files and if any are found, create a symbolic link 
#  in the /tmp/idoctor/advisor directory to it using a command like.
#        ln -s /tmp/npiv/file.npiv file.npiv
#
BASEDIR=$(dirname $0)	# This will get the directory this script resides in
searchdir=$1
host_name=$(/usr/bin/hostname -s)

mkdir -p $BASEDIR/repository/advisor
cd $BASEDIR/repository/advisor
rm *

find $searchdir -name "*.tar" | while read advisorfile
do
	out=`basename $advisorfile`
	print $advisorfile $out
	ln -fs $advisorfile $out
done