#!/bin/ksh93
#########################################################################################################
# iDoctor VIOS Investigator
# Licensed Materials - Property of IBM
# (C) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
#########################################################################################################
# This script will search for NPIV/FC data files (identified by *.npiv) and if any are found, create a symbolic link 
#  in the /tmp/idoctor/npiv directory to it using a command like.
#        ln -s /tmp/npiv/file.npiv file.npiv
#
BASEDIR=$(dirname $0)	# This will get the directory this script resides in
searchdir=$1

mkdir -p $BASEDIR/repository/npiv
cd $BASEDIR/repository/npiv
rm *

find $searchdir -name "*.npiv" | while read npivfile
do
	out=`basename $npivfile`
	print $npivfile $out
	ln -fs $npivfile $out
done